VSTGUI: IWindowListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IWindowListener Class Referenceabstract
Standalone Library

Window listener interface. More...

`#include <iwindowlistener.h>`

Inheritance diagram for IWindowListener:

## Public Member Functions
virtual void | onSizeChanged (const IWindow &window, const CPoint &newSize)=0
| Size of window is changed. More...
virtual void | onPositionChanged (const IWindow &window, const CPoint &newPosition)=0
| Position of window is changed. More...
virtual void | onShow (const IWindow &window)=0
| Window is shown. More...
virtual void | onHide (const IWindow &window)=0
| Window is hidden. More...
virtual void | onClosed (const IWindow &window)=0
| Window is closed. More...
virtual void | onActivated (const IWindow &window)=0
| Window is activated. More...
virtual void | onDeactivated (const IWindow &window)=0
| Window is deactivated. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Window listener interface.

## Member Function Documentation

## ◆ onActivated()

virtual void onActivated | ( | const IWindow & | window | ) |
| pure virtual

Window is activated.

Implemented in WindowControllerAdapter, and WindowListenerAdapter.

## ◆ onClosed()

virtual void onClosed | ( | const IWindow & | window | ) |
| pure virtual

Window is closed.

Implemented in WindowControllerAdapter, WindowListenerAdapter, and WindowClosedListener.

## ◆ onDeactivated()

virtual void onDeactivated | ( | const IWindow & | window | ) |
| pure virtual

Window is deactivated.

Implemented in WindowControllerAdapter, and WindowListenerAdapter.

## ◆ onHide()

virtual void onHide | ( | const IWindow & | window | ) |
| pure virtual

Window is hidden.

Implemented in WindowControllerAdapter, and WindowListenerAdapter.

## ◆ onPositionChanged()

virtual void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition
| ) |  |
| pure virtual

Position of window is changed.

Implemented in WindowControllerAdapter, and WindowListenerAdapter.

## ◆ onShow()

virtual void onShow | ( | const IWindow & | window | ) |
| pure virtual

Window is shown.

Implemented in WindowControllerAdapter, and WindowListenerAdapter.

## ◆ onSizeChanged()

virtual void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| pure virtual

Size of window is changed.

Implemented in WindowControllerAdapter, and WindowListenerAdapter.

The documentation for this class was generated from the following file:

- iwindowlistener.h